> This page is for Developer Documentation.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.benchling.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.benchling.com/_mcp/server.

# List Events

GET https://{tenant_name}.benchling.com/api/v2/events

List Events

## Event Sort Order

Events in Benchling are assigned a stable sort order that reflects when the event was processed (not created). The createdAt time is not the stable sorted order of events. For this reason event createdAt time may appear out of order.


Reference: https://docs.benchling.com/docs/api/v2/benchling-api/events/list-events

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Query parameters

- `pageSize` (integer, optional, default: 50) — Number of results to return. Defaults to 50, maximum of 100.
- `nextToken` (string, optional) — Token for pagination
- `createdAt.gte` (string, optional) — Datetime, in RFC 3339 format. Time zone defaults to UTC. Restricts results to those modified in the specified range. e.g. "2020-05-23".
- `startingAfter` (string, optional) — Event ID after which events will be returned.
- `eventTypes` (string, optional) — Comma-separated list of event types to return.
- `poll` (boolean, optional) — When True, the API will always return a nextToken to enable polling events indefinitely.

## Response

### 200

Returns a list of event resources. For additional JSON examples, [click here](https://docs.benchling.com/docs/events-reference#json-examples).

- `events` (list of Event, optional)
- `nextToken` (string, optional)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (BadRequestErrorError, optional)

## Types

### Event

- `eventType`: `v2-alpha.stageEntry.created` (v2-alpha.stageEntry.created)
  - `createdAt` (datetime, optional)
  - `deprecated` (boolean, optional)
  - `deprecationDate` (datetime, optional) — Present only when `deprecated` is true. The date at which this event version is deprecated and may stop being sent.
  - `excludedProperties` (list of string, optional) — These properties have been dropped from the payload due to size.
  - `id` (string, optional)
  - `schema` (StageEntryCreatedEventSchema, optional, nullable)
- `eventType`: `v2-alpha.stageEntry.updated.assignedReviewers` (v2-alpha.stageEntry.updated.assignedReviewers)
  - `createdAt` (datetime, optional)
  - `deprecated` (boolean, optional)
  - `deprecationDate` (datetime, optional) — Present only when `deprecated` is true. The date at which this event version is deprecated and may stop being sent.
  - `entry` (StageEntry, optional) — A notebook entry used for execution of one or more stage runs in a legacy workflow.
  - `excludedProperties` (list of string, optional) — These properties have been dropped from the payload due to size.
  - `id` (string, optional)
  - `schema` (StageEntryUpdatedAssignedReviewersEventSchema, optional, nullable)
  - `updates` (list of string, optional) — These properties have been updated, causing this message
- `eventType`: `v2-beta.automationInputGenerator.completed` (v2-beta.automationInputGenerator.completed)
  - `automationInputGenerator` (AutomationFile, optional)
  - `createdAt` (datetime, optional)
  - `deprecated` (boolean, optional)
  - `deprecationDate` (datetime, optional) — Present only when `deprecated` is true. The date at which this event version is deprecated and may stop being sent.
  - `excludedProperties` (list of string, optional) — These properties have been dropped from the payload due to size.
  - `id` (string, optional)
  - `schema` (AutomationInputGeneratorCompletedV2BetaEventSchema, optional, nullable)
- `eventType`: `v2-beta.automationOutputProcessor.completed` (v2-beta.automationOutputProcessor.completed)
  - `automationOutputProcessor` (AutomationFile, optional)
  - `createdAt` (datetime, optional)
  - `deprecated` (boolean, optional)
  - `deprecationDate` (datetime, optional) — Present only when `deprecated` is true. The date at which this event version is deprecated and may stop being sent.
  - `excludedProperties` (list of string, optional) — These properties have been dropped from the payload due to size.
  - `id` (string, optional)
  - `schema` (AutomationOutputProcessorCompletedV2BetaEventSchema, optional, nullable)
- `eventType`: `v2-beta.automationOutputProcessor.uploaded` (v2-beta.automationOutputProcessor.uploaded)
  - `automationOutputProcessor` (AutomationFile, optional)
  - `createdAt` (datetime, optional)
  - `deprecated` (boolean, optional)
  - `deprecationDate` (datetime, optional) — Present only when `deprecated` is true. The date at which this event version is deprecated and may stop being sent.
  - `excludedProperties` (list of string, optional) — These properties have been dropped from the payload due to size.
  - `id` (string, optional)
  - `schema` (AutomationOutputProcessorUploadedV2BetaEventSchema, optional, nullable)
- `eventType`: `v2-beta.entry.updated.reviewSnapshot` (v2-beta.entry.updated.reviewSnapshot)
  - `createdAt` (datetime, optional)
  - `deprecated` (boolean, optional)
  - `deprecationDate` (datetime, optional) — Present only when `deprecated` is true. The date at which this event version is deprecated and may stop being sent.
  - `entry` (Entry, optional) — Entries are notes that users can take. They're organized by "days" (which are user-configurable) and modeled within each day as a list of "notes." Each note has a type - the simplest is a "text" type, but lists, tables, and external files are also supported. *Note:* the current Entry resource has a few limitations: - Formatting information is not yet supported. Header formatting, bolding, and other stylistic information is not presented. - Data in tables is presented as text always - numeric values will need to be parsed into floats or integers, as appropriate. Note: Data in Results tables are not accessible through this API call. Results table data can be called through the Results API calls.
  - `excludedProperties` (list of string, optional) — These properties have been dropped from the payload due to size.
  - `id` (string, optional)
  - `schema` (EntryUpdatedReviewSnapshotBetaEventSchema, optional, nullable)
  - `updates` (list of string, optional) — These properties have been updated, causing this message
- `eventType`: `v2-beta.worksheet.updated.reviewSnapshot` (v2-beta.worksheet.updated.reviewSnapshot)
  - `createdAt` (datetime, optional)
  - `deprecated` (boolean, optional)
  - `deprecationDate` (datetime, optional) — Present only when `deprecated` is true. The date at which this event version is deprecated and may stop being sent.
  - `entry` (WorksheetReviewChanges, optional) — Contents include basic worksheet metadata along with its review changes, including any snapshot information if present.
  - `excludedProperties` (list of string, optional) — These properties have been dropped from the payload due to size.
  - `id` (string, optional)
  - `schema` (WorksheetUpdatedReviewSnapshotBetaEventSchema, optional, nullable)
  - `updates` (list of string, optional) — These properties have been updated, causing this message
- `eventType`: `v2.assayRun.created` (v2.assayRun.created)
  - `assayRun` (AssayRun, optional)
  - `createdAt` (datetime, optional)
  - `deprecated` (boolean, optional)
  - `deprecationDate` (datetime, optional) — Present only when `deprecated` is true. The date at which this event version is deprecated and may stop being sent.
  - `excludedProperties` (list of string, optional) — These properties have been dropped from the payload due to size.
  - `id` (string, optional)
  - `schema` (AssayRunCreatedEventSchema, optional, nullable)
- `eventType`: `v2.assayRun.updated.fields` (v2.assayRun.updated.fields)
  - `assayRun` (AssayRun, optional)
  - `createdAt` (datetime, optional)
  - `deprecated` (boolean, optional)
  - `deprecationDate` (datetime, optional) — Present only when `deprecated` is true. The date at which this event version is deprecated and may stop being sent.
  - `excludedProperties` (list of string, optional) — These properties have been dropped from the payload due to size.
  - `id` (string, optional)
  - `schema` (AssayRunUpdatedFieldsEventSchema, optional, nullable)
  - `updates` (list of string, optional) — These properties have been updated, causing this message
- `eventType`: `v2.automationFileTransform.updated.status.failed` (v2.automationFileTransform.updated.status.failed)
  - `automationFileTransform` (LabAutomationTransform, optional)
  - `createdAt` (datetime, optional)
  - `deprecated` (boolean, optional)
  - `deprecationDate` (datetime, optional) — Present only when `deprecated` is true. The date at which this event version is deprecated and may stop being sent.
  - `excludedProperties` (list of string, optional) — These properties have been dropped from the payload due to size.
  - `id` (string, optional)
  - `schema` (AutomationTransformStatusFailedEventV2EventSchema, optional, nullable)
- `eventType`: `v2.automationFileTransform.updated.status.pending` (v2.automationFileTransform.updated.status.pending)
  - `automationFileTransform` (LabAutomationTransform, optional)
  - `createdAt` (datetime, optional)
  - `deprecated` (boolean, optional)
  - `deprecationDate` (datetime, optional) — Present only when `deprecated` is true. The date at which this event version is deprecated and may stop being sent.
  - `excludedProperties` (list of string, optional) — These properties have been dropped from the payload due to size.
  - `id` (string, optional)
  - `schema` (AutomationTransformStatusPendingEventV2EventSchema, optional, nullable)
- `eventType`: `v2.automationFileTransform.updated.status.running` (v2.automationFileTransform.updated.status.running)
  - `automationFileTransform` (LabAutomationTransform, optional)
  - `createdAt` (datetime, optional)
  - `deprecated` (boolean, optional)
  - `deprecationDate` (datetime, optional) — Present only when `deprecated` is true. The date at which this event version is deprecated and may stop being sent.
  - `excludedProperties` (list of string, optional) — These properties have been dropped from the payload due to size.
  - `id` (string, optional)
  - `schema` (AutomationTransformStatusRunningEventV2EventSchema, optional, nullable)
- `eventType`: `v2.automationFileTransform.updated.status.succeeded` (v2.automationFileTransform.updated.status.succeeded)
  - `automationFileTransform` (LabAutomationTransform, optional)
  - `createdAt` (datetime, optional)
  - `deprecated` (boolean, optional)
  - `deprecationDate` (datetime, optional) — Present only when `deprecated` is true. The date at which this event version is deprecated and may stop being sent.
  - `excludedProperties` (list of string, optional) — These properties have been dropped from the payload due to size.
  - `id` (string, optional)
  - `schema` (AutomationTransformStatusSucceededEventV2EventSchema, optional, nullable)
- `eventType`: `v2.automationInputGenerator.completed` (v2.automationInputGenerator.completed)
  - `automationInputGenerator` (AutomationFile, optional)
  - `createdAt` (datetime, optional)
  - `deprecated` (boolean, optional)
  - `deprecationDate` (datetime, optional) — Present only when `deprecated` is true. The date at which this event version is deprecated and may stop being sent.
  - `excludedProperties` (list of string, optional) — These properties have been dropped from the payload due to size.
  - `id` (string, optional)
  - `schema` (AutomationInputGeneratorCompletedV2EventSchema, optional, nullable)
- `eventType`: `v2.automationOutputProcessor.completed` (v2.automationOutputProcessor.completed)
  - `automationOutputProcessor` (AutomationFile, optional)
  - `createdAt` (datetime, optional)
  - `deprecated` (boolean, optional)
  - `deprecationDate` (datetime, optional) — Present only when `deprecated` is true. The date at which this event version is deprecated and may stop being sent.
  - `excludedProperties` (list of string, optional) — These properties have been dropped from the payload due to size.
  - `id` (string, optional)
  - `schema` (AutomationOutputProcessorCompletedV2EventSchema, optional, nullable)
- `eventType`: `v2.automationOutputProcessor.uploaded` (v2.automationOutputProcessor.uploaded)
  - `automationOutputProcessor` (AutomationFile, optional)
  - `createdAt` (datetime, optional)
  - `deprecated` (boolean, optional)
  - `deprecationDate` (datetime, optional) — Present only when `deprecated` is true. The date at which this event version is deprecated and may stop being sent.
  - `excludedProperties` (list of string, optional) — These properties have been dropped from the payload due to size.
  - `id` (string, optional)
  - `schema` (AutomationOutputProcessorUploadedV2EventSchema, optional, nullable)
- `eventType`: `v2.entity.registered` (v2.entity.registered)
  - `createdAt` (datetime, optional)
  - `deprecated` (boolean, optional)
  - `deprecationDate` (datetime, optional) — Present only when `deprecated` is true. The date at which this event version is deprecated and may stop being sent.
  - `entity` (GenericEntity, optional)
  - `excludedProperties` (list of string, optional) — These properties have been dropped from the payload due to size.
  - `id` (string, optional)
  - `schema` (EntityRegisteredEventSchema, optional, nullable)
- `eventType`: `v2.entry.created` (v2.entry.created)
  - `createdAt` (datetime, optional)
  - `deprecated` (boolean, optional)
  - `deprecationDate` (datetime, optional) — Present only when `deprecated` is true. The date at which this event version is deprecated and may stop being sent.
  - `entry` (Entry, optional) — Entries are notes that users can take. They're organized by "days" (which are user-configurable) and modeled within each day as a list of "notes." Each note has a type - the simplest is a "text" type, but lists, tables, and external files are also supported. *Note:* the current Entry resource has a few limitations: - Formatting information is not yet supported. Header formatting, bolding, and other stylistic information is not presented. - Data in tables is presented as text always - numeric values will need to be parsed into floats or integers, as appropriate. Note: Data in Results tables are not accessible through this API call. Results table data can be called through the Results API calls.
  - `excludedProperties` (list of string, optional) — These properties have been dropped from the payload due to size.
  - `id` (string, optional)
  - `schema` (EntryCreatedEventSchema, optional, nullable)
- `eventType`: `v2.entry.updated.assignedReviewers` (v2.entry.updated.assignedReviewers)
  - `createdAt` (datetime, optional)
  - `deprecated` (boolean, optional)
  - `deprecationDate` (datetime, optional) — Present only when `deprecated` is true. The date at which this event version is deprecated and may stop being sent.
  - `entry` (Entry, optional) — Entries are notes that users can take. They're organized by "days" (which are user-configurable) and modeled within each day as a list of "notes." Each note has a type - the simplest is a "text" type, but lists, tables, and external files are also supported. *Note:* the current Entry resource has a few limitations: - Formatting information is not yet supported. Header formatting, bolding, and other stylistic information is not presented. - Data in tables is presented as text always - numeric values will need to be parsed into floats or integers, as appropriate. Note: Data in Results tables are not accessible through this API call. Results table data can be called through the Results API calls.
  - `excludedProperties` (list of string, optional) — These properties have been dropped from the payload due to size.
  - `id` (string, optional)
  - `schema` (EntryUpdatedAssignedReviewersEventSchema, optional, nullable)
  - `updates` (list of string, optional) — These properties have been updated, causing this message
- `eventType`: `v2.entry.updated.fields` (v2.entry.updated.fields)
  - `createdAt` (datetime, optional)
  - `deprecated` (boolean, optional)
  - `deprecationDate` (datetime, optional) — Present only when `deprecated` is true. The date at which this event version is deprecated and may stop being sent.
  - `entry` (Entry, optional) — Entries are notes that users can take. They're organized by "days" (which are user-configurable) and modeled within each day as a list of "notes." Each note has a type - the simplest is a "text" type, but lists, tables, and external files are also supported. *Note:* the current Entry resource has a few limitations: - Formatting information is not yet supported. Header formatting, bolding, and other stylistic information is not presented. - Data in tables is presented as text always - numeric values will need to be parsed into floats or integers, as appropriate. Note: Data in Results tables are not accessible through this API call. Results table data can be called through the Results API calls.
  - `excludedProperties` (list of string, optional) — These properties have been dropped from the payload due to size.
  - `id` (string, optional)
  - `schema` (EntryUpdatedFieldsEventSchema, optional, nullable)
  - `updates` (list of string, optional) — These properties have been updated, causing this message
- `eventType`: `v2.entry.updated.reviewRecord` (v2.entry.updated.reviewRecord)
  - `createdAt` (datetime, optional)
  - `deprecated` (boolean, optional)
  - `deprecationDate` (datetime, optional) — Present only when `deprecated` is true. The date at which this event version is deprecated and may stop being sent.
  - `entry` (Entry, optional) — Entries are notes that users can take. They're organized by "days" (which are user-configurable) and modeled within each day as a list of "notes." Each note has a type - the simplest is a "text" type, but lists, tables, and external files are also supported. *Note:* the current Entry resource has a few limitations: - Formatting information is not yet supported. Header formatting, bolding, and other stylistic information is not presented. - Data in tables is presented as text always - numeric values will need to be parsed into floats or integers, as appropriate. Note: Data in Results tables are not accessible through this API call. Results table data can be called through the Results API calls.
  - `excludedProperties` (list of string, optional) — These properties have been dropped from the payload due to size.
  - `id` (string, optional)
  - `schema` (EntryUpdatedReviewRecordEventSchema, optional, nullable)
  - `updates` (list of string, optional) — These properties have been updated, causing this message
- `eventType`: `v2.entry.updated.reviewSnapshot` (v2.entry.updated.reviewSnapshot)
  - `createdAt` (datetime, optional)
  - `deprecated` (boolean, optional)
  - `deprecationDate` (datetime, optional) — Present only when `deprecated` is true. The date at which this event version is deprecated and may stop being sent.
  - `entry` (Entry, optional) — Entries are notes that users can take. They're organized by "days" (which are user-configurable) and modeled within each day as a list of "notes." Each note has a type - the simplest is a "text" type, but lists, tables, and external files are also supported. *Note:* the current Entry resource has a few limitations: - Formatting information is not yet supported. Header formatting, bolding, and other stylistic information is not presented. - Data in tables is presented as text always - numeric values will need to be parsed into floats or integers, as appropriate. Note: Data in Results tables are not accessible through this API call. Results table data can be called through the Results API calls.
  - `excludedProperties` (list of string, optional) — These properties have been dropped from the payload due to size.
  - `id` (string, optional)
  - `schema` (EntryUpdatedReviewSnapshotEventSchema, optional, nullable)
  - `updates` (list of string, optional) — These properties have been updated, causing this message
- `eventType`: `v2.request.created` (v2.request.created)
  - `createdAt` (datetime, optional)
  - `deprecated` (boolean, optional)
  - `deprecationDate` (datetime, optional) — Present only when `deprecated` is true. The date at which this event version is deprecated and may stop being sent.
  - `excludedProperties` (list of string, optional) — These properties have been dropped from the payload due to size.
  - `id` (string, optional)
  - `request` (Request, optional) — A Legacy Request is an ask to perform a service, e.g. produce a sample or perform assays on a sample. Requests are usually placed to another team or individual who specializes in performing the service.
  - `schema` (RequestCreatedEventSchema, optional, nullable)
- `eventType`: `v2.request.updated.fields` (v2.request.updated.fields)
  - `createdAt` (datetime, optional)
  - `deprecated` (boolean, optional)
  - `deprecationDate` (datetime, optional) — Present only when `deprecated` is true. The date at which this event version is deprecated and may stop being sent.
  - `excludedProperties` (list of string, optional) — These properties have been dropped from the payload due to size.
  - `id` (string, optional)
  - `request` (Request, optional) — A Legacy Request is an ask to perform a service, e.g. produce a sample or perform assays on a sample. Requests are usually placed to another team or individual who specializes in performing the service.
  - `schema` (RequestUpdatedFieldsEventSchema, optional, nullable)
  - `updates` (list of string, optional) — These properties have been updated, causing this message
- `eventType`: `v2.workflowOutput.created` (v2.workflowOutput.created)
  - `createdAt` (datetime, optional)
  - `deprecated` (boolean, optional)
  - `deprecationDate` (datetime, optional) — Present only when `deprecated` is true. The date at which this event version is deprecated and may stop being sent.
  - `excludedProperties` (list of string, optional) — These properties have been dropped from the payload due to size.
  - `id` (string, optional)
  - `schema` (WorkflowOutputCreatedEventSchema, optional, nullable)
  - `workflowOutput` (WorkflowOutput, optional)
- `eventType`: `v2.workflowOutput.updated.fields` (v2.workflowOutput.updated.fields)
  - `createdAt` (datetime, optional)
  - `deprecated` (boolean, optional)
  - `deprecationDate` (datetime, optional) — Present only when `deprecated` is true. The date at which this event version is deprecated and may stop being sent.
  - `excludedProperties` (list of string, optional) — These properties have been dropped from the payload due to size.
  - `id` (string, optional)
  - `schema` (WorkflowOutputUpdatedFieldsEventSchema, optional, nullable)
  - `workflowOutput` (WorkflowOutput, optional)
- `eventType`: `v2.workflowTask.created` (v2.workflowTask.created)
  - `createdAt` (datetime, optional)
  - `deprecated` (boolean, optional)
  - `deprecationDate` (datetime, optional) — Present only when `deprecated` is true. The date at which this event version is deprecated and may stop being sent.
  - `excludedProperties` (list of string, optional) — These properties have been dropped from the payload due to size.
  - `id` (string, optional)
  - `schema` (WorkflowTaskCreatedEventSchema, optional, nullable)
  - `workflowTask` (WorkflowTask, optional)
- `eventType`: `v2.workflowTask.updated.assignee` (v2.workflowTask.updated.assignee)
  - `createdAt` (datetime, optional)
  - `deprecated` (boolean, optional)
  - `deprecationDate` (datetime, optional) — Present only when `deprecated` is true. The date at which this event version is deprecated and may stop being sent.
  - `excludedProperties` (list of string, optional) — These properties have been dropped from the payload due to size.
  - `id` (string, optional)
  - `schema` (WorkflowTaskUpdatedAssigneeEventSchema, optional, nullable)
  - `workflowTask` (WorkflowTask, optional)
- `eventType`: `v2.workflowTask.updated.fields` (v2.workflowTask.updated.fields)
  - `createdAt` (datetime, optional)
  - `deprecated` (boolean, optional)
  - `deprecationDate` (datetime, optional) — Present only when `deprecated` is true. The date at which this event version is deprecated and may stop being sent.
  - `excludedProperties` (list of string, optional) — These properties have been dropped from the payload due to size.
  - `id` (string, optional)
  - `schema` (WorkflowTaskUpdatedFieldsEventSchema, optional, nullable)
  - `workflowTask` (WorkflowTask, optional)
- `eventType`: `v2.workflowTask.updated.scheduledOn` (v2.workflowTask.updated.scheduledOn)
  - `createdAt` (datetime, optional)
  - `deprecated` (boolean, optional)
  - `deprecationDate` (datetime, optional) — Present only when `deprecated` is true. The date at which this event version is deprecated and may stop being sent.
  - `excludedProperties` (list of string, optional) — These properties have been dropped from the payload due to size.
  - `id` (string, optional)
  - `schema` (WorkflowTaskUpdatedScheduledOnEventSchema, optional, nullable)
  - `workflowTask` (WorkflowTask, optional)
- `eventType`: `v2.workflowTask.updated.status` (v2.workflowTask.updated.status)
  - `createdAt` (datetime, optional)
  - `deprecated` (boolean, optional)
  - `deprecationDate` (datetime, optional) — Present only when `deprecated` is true. The date at which this event version is deprecated and may stop being sent.
  - `excludedProperties` (list of string, optional) — These properties have been dropped from the payload due to size.
  - `id` (string, optional)
  - `schema` (WorkflowTaskUpdatedStatusEventSchema, optional, nullable)
  - `workflowTask` (WorkflowTask, optional)
- `eventType`: `v2.workflowTaskGroup.created` (v2.workflowTaskGroup.created)
  - `createdAt` (datetime, optional)
  - `deprecated` (boolean, optional)
  - `deprecationDate` (datetime, optional) — Present only when `deprecated` is true. The date at which this event version is deprecated and may stop being sent.
  - `excludedProperties` (list of string, optional) — These properties have been dropped from the payload due to size.
  - `id` (string, optional)
  - `schema` (WorkflowTaskGroupCreatedEventSchema, optional, nullable)
  - `workflowTaskGroup` (WorkflowTaskGroup, optional)
- `eventType`: `v2.workflowTaskGroup.mappingCompleted` (v2.workflowTaskGroup.mappingCompleted)
  - `createdAt` (datetime, optional)
  - `deprecated` (boolean, optional)
  - `deprecationDate` (datetime, optional) — Present only when `deprecated` is true. The date at which this event version is deprecated and may stop being sent.
  - `excludedProperties` (list of string, optional) — These properties have been dropped from the payload due to size.
  - `id` (string, optional)
  - `schema` (WorkflowTaskGroupMappingCompletedEventSchema, optional, nullable)
  - `workflowTaskGroup` (WorkflowTaskGroup, optional)
- `eventType`: `v2.workflowTaskGroup.updated.watchers` (v2.workflowTaskGroup.updated.watchers)
  - `createdAt` (datetime, optional)
  - `deprecated` (boolean, optional)
  - `deprecationDate` (datetime, optional) — Present only when `deprecated` is true. The date at which this event version is deprecated and may stop being sent.
  - `excludedProperties` (list of string, optional) — These properties have been dropped from the payload due to size.
  - `id` (string, optional)
  - `schema` (WorkflowTaskGroupUpdatedWatchersEventSchema, optional, nullable)
  - `workflowTaskGroup` (WorkflowTaskGroup, optional)
- `eventType`: `v2.worksheet.updated.reviewSnapshot` (v2.worksheet.updated.reviewSnapshot)
  - `createdAt` (datetime, optional)
  - `deprecated` (boolean, optional)
  - `deprecationDate` (datetime, optional) — Present only when `deprecated` is true. The date at which this event version is deprecated and may stop being sent.
  - `excludedProperties` (list of string, optional) — These properties have been dropped from the payload due to size.
  - `id` (string, optional)
  - `schema` (WorksheetUpdatedReviewSnapshotEventSchema, optional, nullable)
  - `updates` (list of string, optional) — These properties have been updated, causing this message
  - `worksheet` (WorksheetReviewChanges, optional) — Contents include basic worksheet metadata along with its review changes, including any snapshot information if present.

### BadRequestErrorError

- `message` (string, optional)
- `type` (enum, optional)
  - Allowed values: `invalid_request_error`
- `userMessage` (string, optional)

### StageEntryCreatedEventSchema

- `id` (string, optional)
- `name` (string, optional)

### StageEntry

A notebook entry used for execution of one or more stage runs in a legacy workflow.

- `apiURL` (string, optional) — The canonical url of the Stage Entry in the API.
- `authors` (list of UserSummary, optional) — Array of UserSummary Resources of the authors of the stage entry. This defaults to the creator but can be manually changed.
- `createdAt` (datetime, optional) — DateTime the stage entry was created at
- `creator` (UserSummary, optional) — UserSummary Resource of the user who created the stage entry
- `customFields` (map from string to CustomField, optional)
- `displayId` (string, optional) — User-friendly ID of the stage entry
- `fields` (map from string to Field, optional)
- `folderId` (string, optional) — ID of the folder that contains the stage entry
- `id` (string, optional) — ID of the stage entry
- `modifiedAt` (string, optional) — DateTime the stage entry was last modified
- `name` (string, optional) — Title of the stage entry
- `reviewRecord` (StageEntryReviewRecord, optional, nullable) — Review record if set
- `schema` (EntrySchema, optional, nullable) — Entry schema if set
- `webURL` (string, optional) — URL of the stage entry
- `workflowId` (string, optional) — ID of the parent workflow
- `workflowStageId` (string, optional) — ID of the associated workflow stage

### StageEntryUpdatedAssignedReviewersEventSchema

- `id` (string, optional)
- `name` (string, optional)

### AutomationFile

- `assayRunId` (string, optional)
- `automationFileConfig` (AutomationFileAutomationFileConfig, optional)
- `file` (Blob, optional, nullable)
- `id` (string, optional)
- `status` (enum, optional)
  - Allowed values: `SUCCEEDED`, `FAILED`, `NOT_STARTED`, `RUNNING`

### AutomationInputGeneratorCompletedV2BetaEventSchema

- `id` (string, optional)
- `name` (string, optional)

### AutomationOutputProcessorCompletedV2BetaEventSchema

- `id` (string, optional)
- `name` (string, optional)

### AutomationOutputProcessorUploadedV2BetaEventSchema

- `id` (string, optional)
- `name` (string, optional)

### Entry

Entries are notes that users can take. They're organized by "days" (which are user-configurable) and modeled within each day as a list of "notes." Each note has a type - the simplest is a "text" type, but lists, tables, and external files are also supported. *Note:* the current Entry resource has a few limitations: - Formatting information is not yet supported. Header formatting, bolding, and other stylistic information is not presented. - Data in tables is presented as text always - numeric values will need to be parsed into floats or integers, as appropriate. Note: Data in Results tables are not accessible through this API call. Results table data can be called through the Results API calls.

- `apiURL` (string, optional) — The canonical url of the Entry in the API.
- `archiveRecord` (ArchiveRecord, optional, nullable) — ArchiveRecord Resource if the entry is archived. This is null if the entry is not archived.
- `assignedReviewers` (list of UserSummary, optional) — Array of users assigned to review the entry, if any.
- `authors` (list of UserSummary, optional) — Array of UserSummary Resources of the authors of the entry. This defaults to the creator but can be manually changed.
- `createdAt` (datetime, optional) — DateTime the entry was created at
- `creator` (UserSummary, optional) — UserSummary Resource of the user who created the entry
- `customFields` (map from string to CustomField, optional)
- `days` (list of EntryDay, optional) — Array of day objects. Each day object has a date field (string) and notes field (array of notes, expand further for details on note types).
- `displayId` (string, optional) — User-friendly ID of the entry
- `entryTemplateId` (string, optional, nullable) — ID of the Entry Template this Entry was created from
- `fields` (map from string to Field, optional)
- `folderId` (string, optional) — ID of the folder that contains the entry
- `id` (string, optional) — ID of the entry
- `modifiedAt` (string, optional) — DateTime the entry was last modified
- `name` (string, optional) — Title of the entry
- `reviewRecord` (EntryReviewRecord, optional, nullable) — Review record if set
- `schema` (EntrySchema, optional, nullable) — Entry schema if set
- `webURL` (string, optional) — URL of the entry

### EntryUpdatedReviewSnapshotBetaEventSchema

- `id` (string, optional)
- `name` (string, optional)

### WorksheetReviewChanges

Contents include basic worksheet metadata along with its review changes, including any snapshot information if present.

- `apiURL` (string, optional, nullable) — The canonical url of the Worksheet's review history in the API.
- `createdAt` (datetime, optional) — DateTime the worksheet was created at
- `creator` (UserSummary, optional) — UserSummary Resource of the user who created the worksheet
- `folderId` (string, optional) — ID of the folder that contains the worksheet
- `id` (string, optional) — ID of the worksheet
- `modifiedAt` (string, optional) — DateTime the worksheet was last modified
- `name` (string, optional) — Title of the worksheet
- `reviewRecord` (WorksheetReviewChangesReviewRecord, optional, nullable) — Review record if set
- `webURL` (string, optional) — URL of the worksheet

### WorksheetUpdatedReviewSnapshotBetaEventSchema

- `id` (string, optional)
- `name` (string, optional)

### AssayRun

- `apiURL` (string, optional) — The canonical url of the Run in the API.
- `archiveRecord` (ArchiveRecord, optional, nullable)
- `createdAt` (string, optional)
- `creator` (UserSummary, optional)
- `entryId` (string, optional, nullable)
- `equipmentId` (string, optional, nullable)
- `fields` (map from string to Field, optional)
- `id` (string, optional)
- `isReviewed` (boolean, optional)
- `projectId` (string, optional, nullable)
- `schema` (SchemaSummary, optional, nullable)
- `v3Id` (string, optional) — V3 identifier for the run
- `validationComment` (string, optional, nullable)
- `validationStatus` (enum, optional) — Must be either VALID or INVALID
  - Allowed values: `VALID`, `INVALID`

### AssayRunCreatedEventSchema

- `id` (string, optional)
- `name` (string, optional)

### AssayRunUpdatedFieldsEventSchema

- `id` (string, optional)
- `name` (string, optional)

### LabAutomationTransform

- `apiURL` (string, optional) — The canonical url of the transform in the API.
- `blobId` (string, optional, nullable)
- `customTransformId` (string, optional, nullable)
- `errors` (LabAutomationBenchlingAppErrors, optional)
- `id` (string, optional)
- `inputGeneratorId` (string, optional, nullable)
- `modifiedAt` (datetime, optional) — DateTime the transform was last modified.
- `outputProcessorId` (string, optional, nullable)
- `status` (enum, optional)
  - Allowed values: `NOT_STARTED`, `RUNNING`, `FAILED`, `SUCCEEDED`

### AutomationTransformStatusFailedEventV2EventSchema

- `id` (string, optional)
- `name` (string, optional)

### AutomationTransformStatusPendingEventV2EventSchema

- `id` (string, optional)
- `name` (string, optional)

### AutomationTransformStatusRunningEventV2EventSchema

- `id` (string, optional)
- `name` (string, optional)

### AutomationTransformStatusSucceededEventV2EventSchema

- `id` (string, optional)
- `name` (string, optional)

### AutomationInputGeneratorCompletedV2EventSchema

- `id` (string, optional)
- `name` (string, optional)

### AutomationOutputProcessorCompletedV2EventSchema

- `id` (string, optional)
- `name` (string, optional)

### AutomationOutputProcessorUploadedV2EventSchema

- `id` (string, optional)
- `name` (string, optional)

### GenericEntity

- `aliases` (list of string, optional)
- `apiURL` (string, optional)
- `archiveRecord` (ArchiveRecord, optional, nullable)
- `authors` (list of UserSummary, optional) — Array of UserSummary Resources of the authors of the entity. This defaults to the creator but can be manually changed.
- `createdAt` (datetime, optional)
- `creator` (GenericEntityCreator, optional) — UserSummary of the user who created the Legacy Request
- `customFields` (map from string to CustomField, optional)
- `entityRegistryId` (string, optional, nullable)
- `fields` (map from string to Field, optional)
- `folderId` (string, optional)
- `id` (string, optional)
- `modifiedAt` (datetime, optional)
- `name` (string, optional)
- `registrationOrigin` (RegistrationOrigin, optional, nullable)
- `registryId` (string, optional, nullable)
- `schema` (SchemaSummary, optional, nullable)
- `webURL` (string, optional)

### EntityRegisteredEventSchema

- `id` (string, optional)
- `name` (string, optional)

### EntryCreatedEventSchema

- `id` (string, optional)
- `name` (string, optional)

### EntryUpdatedAssignedReviewersEventSchema

- `id` (string, optional)
- `name` (string, optional)

### EntryUpdatedFieldsEventSchema

- `id` (string, optional)
- `name` (string, optional)

### EntryUpdatedReviewRecordEventSchema

- `id` (string, optional)
- `name` (string, optional)

### EntryUpdatedReviewSnapshotEventSchema

- `id` (string, optional)
- `name` (string, optional)

### Request

A Legacy Request is an ask to perform a service, e.g. produce a sample or perform assays on a sample. Requests are usually placed to another team or individual who specializes in performing the service.

- `apiURL` (string, optional) — The canonical url of the Legacy Request in the API.
- `assignees` (list of RequestAssigneesItems, optional) — Array of assignees
- `createdAt` (string, optional) — Date and time the Legacy Request was created
- `creator` (RequestCreator, optional) — UserSummary of the user who created the Legacy Request
- `displayId` (string, optional) — User-friendly ID of the Legacy Request
- `fields` (map from string to Field, optional)
- `id` (string, optional) — Unique ID for the Legacy Request
- `projectId` (string, optional) — The ID of the project to which the Legacy Request belongs.
- `requestStatus` (enum, optional)
  - Allowed values: `REQUESTED`, `SCHEDULED`, `IN_PROGRESS`, `COMPLETED`, `CANCELLED`
- `requestor` (RequestRequestor, optional) — UserSummary of the user making the Legacy Request
- `sampleGroups` (list of RequestSampleGroup, optional)
- `scheduledOn` (date, optional, nullable) — Date the Legacy Request is scheduled to be executed on, in YYYY-MM-DD format.
- `schema` (RequestSchema, optional) — SchemaSummary for the Legacy Request
- `tasks` (list of RequestTask, optional)
- `webURL` (string, optional) — URL of the Legacy Request

### RequestCreatedEventSchema

- `id` (string, optional)
- `name` (string, optional)

### RequestUpdatedFieldsEventSchema

- `id` (string, optional)
- `name` (string, optional)

### WorkflowOutputCreatedEventSchema

- `id` (string, optional)
- `name` (string, optional)

### WorkflowOutput

- `displayId` (string, optional) — User-friendly ID of the workflow task group
- `id` (string, optional) — The ID of the workflow output
- `archiveRecord` (ArchiveRecord, optional, nullable)
- `createdAt` (string, optional) — The ISO formatted date and time that the task was created
- `creationOrigin` (CreationOrigin, optional)
- `fields` (map from string to Field, optional)
- `modifiedAt` (string, optional) — The ISO formatted date and time that the task was last modified
- `nextOutputs` (list of WorkflowOutputSummary, optional) — The outputs in the flowchart which are generated by this output.
- `nextTasks` (list of WorkflowTaskSummary, optional) — The downstream tasks in the flowchart which are generated by this output.
- `sourceOutputs` (list of WorkflowOutputSummary, optional) — The outputs in the flowchart which were used to generate this output.
- `sourceTasks` (list of WorkflowTaskSummary, optional) — The tasks in the flowchart which were used to generate this output.
- `webURL` (string, optional) — URL of the workflow output
- `workflowTask` (WorkflowTaskSummary, optional)
- `workflowTaskGroup` (WorkflowTaskGroupSummary, optional)

### WorkflowOutputUpdatedFieldsEventSchema

- `id` (string, optional)
- `name` (string, optional)

### WorkflowTaskCreatedEventSchema

- `id` (string, optional)
- `name` (string, optional)

### WorkflowTask

- `displayId` (string, optional) — User-friendly ID of the workflow task
- `id` (string, optional) — The ID of the workflow task
- `archiveRecord` (ArchiveRecord, optional, nullable)
- `assignee` (UserSummary, optional, nullable)
- `clonedFrom` (WorkflowTaskSummary, optional, nullable)
- `createdAt` (string, optional) — The ISO formatted date and time that the task was created
- `creationOrigin` (CreationOrigin, optional)
- `creator` (UserSummary, optional)
- `executionOrigin` (WorkflowTaskExecutionOrigin, optional, nullable) — The context into which a task was executed
- `fields` (map from string to Field, optional)
- `modifiedAt` (string, optional) — The ISO formatted date and time that the task was last modified
- `outputs` (list of WorkflowOutputSummary, optional)
- `scheduledOn` (date, optional, nullable) — The date on which the task is scheduled to be executed
- `schema` (WorkflowTaskSchemaSummary, optional)
- `status` (WorkflowTaskStatus, optional)
- `webURL` (string, optional) — URL of the workflow task
- `workflowTaskGroup` (WorkflowTaskGroupSummary, optional)
- `executionFlowchartId` (string, optional) — The ID of the flowchart that this task will execute. This will only be defined if the task has exectutionType FLOWCHART
- `executionType` (enum, optional) — The method by which the task of the workflow is executed
  - Allowed values: `DIRECT`, `ENTRY`, `FLOWCHART`, `PROCEDURE`, `PROCEDURE_METHOD`, `PROCEDURE_STEP`
- `nextOutputs` (list of WorkflowOutputSummary, optional) — The outputs in the flowchart which are generated by this task.
- `nextTasks` (list of WorkflowTaskSummary, optional) — The downstream tasks in the flowchart which are generated by this task.
- `responsibleParties` (list of PartySummary, optional) — List of users and teams that are responsible for this task
- `rootTask` (WorkflowTaskSummary, optional) — The task which is at the root of the flowchart. This will be null if the task is not part of a flowchart.
- `sourceOutputs` (list of WorkflowOutputSummary, optional) — The parent outputs in the flowchart which were used to generate this task.
- `sourceTasks` (list of WorkflowTaskSummary, optional) — The parent tasks in the flowchart which were used to generate this task.
- `workflowOutputs` (list of WorkflowOutputSummary, optional) — The outputs of the workflow task group

### WorkflowTaskUpdatedAssigneeEventSchema

- `id` (string, optional)
- `name` (string, optional)

### WorkflowTaskUpdatedFieldsEventSchema

- `id` (string, optional)
- `name` (string, optional)

### WorkflowTaskUpdatedScheduledOnEventSchema

- `id` (string, optional)
- `name` (string, optional)

### WorkflowTaskUpdatedStatusEventSchema

- `id` (string, optional)
- `name` (string, optional)

### WorkflowTaskGroupCreatedEventSchema

- `id` (string, optional)
- `name` (string, optional)

### WorkflowTaskGroup

- `displayId` (string, optional) — User-friendly ID of the workflow task group
- `id` (string, optional) — The ID of the workflow task group
- `name` (string, optional) — The name of the workflow task group
- `archiveRecord` (ArchiveRecord, optional, nullable)
- `createdAt` (string, optional) — The ISO formatted date and time that the task group was created
- `creationOrigin` (CreationOrigin, optional)
- `creator` (UserSummary, optional)
- `folder` (Folder, optional)
- `modifiedAt` (string, optional) — The ISO formatted date and time that the task group was last modified
- `outputs` (list of WorkflowOutputSummary, optional) — The outputs of the workflow task group
- `responsibleTeam` (TeamSummary, optional, nullable)
- `watchers` (list of UserSummary, optional) — The users watching the workflow task group
- `webURL` (string, optional) — URL of the workflow task group
- `workflowTaskSchema` (WorkflowTaskSchemaSummary, optional)
- `workflowTasks` (list of WorkflowTaskSummary, optional) — The input tasks to the workflow task group
- `executionType` (enum, optional) — The method by which the workflow is executed
  - Allowed values: `DIRECT`, `ENTRY`, `FLOWCHART`, `PROCEDURE`, `PROCEDURE_METHOD`, `PROCEDURE_STEP`
- `flowchartConfigVersionId` (string, optional) — The flowchart configuration that this task group uses. This will be null if the task group does not have executionType FLOWCHART.
- `flowchartTaskGroups` (list of WorkflowNodeTaskGroupSummary, optional) — The task groups that are members of the flowchart that this task group is the root of. This will be null this task group is not the root task group of a flowchart (eg if the task group does not have executionType FLOWCHART).
- `nodeConfig` (WorkflowFlowchartNodeConfig, optional) — The node in a Flowchart that this task group is associated with. This will be null if the task group is not part of a flowchart.
- `rootTaskGroup` (WorkflowTaskGroupSummary, optional) — The task group associated with the root node of the flowchart that this task group is a part of. This will be null if the task group is not part of a flowchart.
- `workflowOutputs` (list of WorkflowOutputSummary, optional) — The outputs of the workflow task group

### WorkflowTaskGroupMappingCompletedEventSchema

- `id` (string, optional)
- `name` (string, optional)

### WorkflowTaskGroupUpdatedWatchersEventSchema

- `id` (string, optional)
- `name` (string, optional)

### WorksheetUpdatedReviewSnapshotEventSchema

- `id` (string, optional)
- `name` (string, optional)

### UserSummary

- `handle` (string, optional)
- `id` (string, optional)
- `name` (string, optional)

### CustomField

- `value` (string, optional)

### Field

- `value` (FieldValue, required, nullable) — For single link fields, use the id of the item you want to link (eg. "seq_jdf8BV24"). For multi-link fields, use an array of ids of the items you want to link (eg. ["seq_jdf8BV24"])
- `displayValue` (string, optional, nullable)
- `isMulti` (boolean, optional)
- `textValue` (string, optional, nullable)
- `type` (enum, optional)
  - Allowed values: `dna_sequence_link`, `aa_sequence_link`, `custom_entity_link`, `entity_link`, `mixture_link`, `molecule_link`, `dropdown`, `part_link`, `translation_link`, `aa_part_link`, `base_molecule_link`, `blob_link`, `text`, `long_text`, `batch_link`, `storage_link`, `entry_link`, `assay_request_link`, `assay_result_link`, `assay_run_link`, `boolean`, `float`, `integer`, `datetime`, `date`, `json`

### StageEntryReviewRecord

Review record if set

### EntrySchema

Entry schema

- `id` (string, optional) — ID of the entry schema
- `modifiedAt` (datetime, optional) — DateTime the Entry Schema was last modified
- `name` (string, optional) — Name of the entry schema

### AutomationFileAutomationFileConfig

- `name` (string, optional)

### Blob

- `id` (string, optional) — The universally unique identifier (UUID) for the blob.
- `mimeType` (string, optional) — eg. application/jpeg
- `name` (string, optional) — Name of the blob
- `type` (enum, optional) — One of RAW_FILE or VISUALIZATION. If VISUALIZATION, the blob may be displayed as an image preview.
  - Allowed values: `RAW_FILE`, `VISUALIZATION`
- `uploadStatus` (enum, optional)
  - Allowed values: `IN_PROGRESS`, `COMPLETE`, `ABORTED`

### ArchiveRecord

- `reason` (string, optional)

### EntryDay

- `date` (string, optional) — A Date string
- `notes` (list of EntryNotePart, optional)
- `title` (string, optional, nullable) — Optional title of a section if sections are enabled.

### EntryReviewRecord

Review record if set

- `comment` (string, optional) — Reviewer's Comments
- `reviewChanges` (list of ReviewChange, optional) — A list of the Review Changes that have been made to this entry
- `reviewProcesses` (list of EntryReviewProcess, optional, nullable) — Review Processes associated with the Entry
- `status` (enum, optional) — Review Status of the entry
  - Allowed values: `ACCEPTED`, `NEEDS_REVIEW`, `REJECTED`, `RETRACTED`, `ACCEPTANCE_SNAPSHOT_IN_PROGRESS`, `REVIEW_SNAPSHOT_IN_PROGRESS`, `IN_PROGRESS`, `ACTION_REQUIRED`

### WorksheetReviewChangesReviewRecord

Review record if set

- `comment` (string, optional) — Reviewer's Comments
- `reviewChanges` (list of ReviewChange, optional) — A list of the Review Changes that have been made to this worksheet
- `reviewProcesses` (list of EntryReviewProcess, optional, nullable) — Review Processes associated with the Worksheet
- `status` (enum, optional) — Review Status of the worksheet
  - Allowed values: `ACCEPTED`, `NEEDS_REVIEW`, `REJECTED`, `RETRACTED`, `ACCEPTANCE_SNAPSHOT_IN_PROGRESS`, `REVIEW_SNAPSHOT_IN_PROGRESS`, `IN_PROGRESS`, `ACTION_REQUIRED`

### SchemaSummary

- `id` (string, optional)
- `name` (string, optional)

### LabAutomationBenchlingAppErrors

- `topLevelErrors` (list of LabAutomationBenchlingAppErrorsTopLevelErrorsItems, optional)

### GenericEntityCreator

UserSummary of the user who created the Legacy Request

- `handle` (string, optional)
- `id` (string, optional)
- `name` (string, optional)

### RegistrationOrigin

- `originEntryId` (string, optional, nullable)
- `registeredAt` (datetime, optional)

### RequestAssigneesItems

### RequestCreator

UserSummary of the user who created the Legacy Request

- `handle` (string, optional)
- `id` (string, optional)
- `name` (string, optional)

### RequestRequestor

UserSummary of the user making the Legacy Request

- `handle` (string, optional)
- `id` (string, optional)
- `name` (string, optional)

### RequestSampleGroup

- `id` (string, optional)
- `samples` (RequestSampleGroupSamples, optional)

### RequestSchema

- `archiveRecord` (ArchiveRecord, optional, nullable)
- `fieldDefinitions` (list of RequestSchemaFieldDefinitionsItems, optional)
- `id` (string, optional)
- `name` (string, optional)
- `type` (enum, optional)
  - Allowed values: `request`
- `modifiedAt` (datetime, optional) — DateTime the Legacy Request Schema was last modified
- `organization` (RequestSchemaOrganization, optional) — The organization that owns the schema.
- `systemName` (string, optional)

### RequestTask

A request task.

- `id` (string, required) — ID of the Legacy Request Task
- `fields` (map from string to Field, optional) — Schema fields to set on the request task. Every field should have its name as a key, mapping to an object with information about the value of the field.
- `sampleGroupIds` (list of string, optional) — IDs of all Legacy Request Sample Groups now associated with this task.
- `schema` (SchemaSummary, optional, nullable)

### CreationOrigin

- `application` (string, optional, nullable)
- `originId` (string, optional, nullable)
- `originModalUuid` (string, optional, nullable)
- `originType` (string, optional, nullable)

### WorkflowOutputSummary

- `displayId` (string, optional) — User-friendly ID of the workflow task group
- `id` (string, optional) — The ID of the workflow output

### WorkflowTaskSummary

- `displayId` (string, optional) — User-friendly ID of the workflow task
- `id` (string, optional) — The ID of the workflow task

### WorkflowTaskGroupSummary

- `displayId` (string, optional) — User-friendly ID of the workflow task group
- `id` (string, optional) — The ID of the workflow task group
- `name` (string, optional) — The name of the workflow task group

### WorkflowTaskExecutionOrigin

The context into which a task was executed

- `entryId` (string, optional, nullable)
- `originModalUuid` (string, optional, nullable)
- `type` (enum, optional)
  - Allowed values: `API`, `ENTRY`, `MODAL`

### WorkflowTaskSchemaSummary

- `id` (string, optional) — The ID of the workflow task schema
- `name` (string, optional) — The name of the workflow task schema

### WorkflowTaskStatus

- `displayName` (string, optional) — The status label
- `id` (string, optional) — The ID of the workflow task status
- `statusType` (enum, optional) — The status type
  - Allowed values: `PENDING`, `IN_PROGRESS`, `FAILED`, `CANCELLED`, `INVALID`, `COMPLETED`

### PartySummary

- `handle` (string, optional)
- `id` (string, optional)
- `name` (string, optional)

### Folder

- `archiveRecord` (ArchiveRecord, optional, nullable)
- `id` (string, optional)
- `name` (string, optional)
- `parentFolderId` (string, optional, nullable) — ID of the parent folder, if it exists
- `projectId` (string, optional) — ID of the containing project

### TeamSummary

- `id` (string, optional)
- `name` (string, optional)

### WorkflowNodeTaskGroupSummary

- `displayId` (string, optional) — User-friendly ID of the workflow task group
- `id` (string, optional) — The ID of the workflow task group
- `name` (string, optional) — The name of the workflow task group
- `nodeConfigId` (string, optional) — The node in a Flowchart that this task group is associated with. This will be null if the task group is not part of a flowchart.

### WorkflowFlowchartNodeConfig

- `id` (string, optional) — The ID of the workflow flowchart node config
- `nodeDetails` (WorkflowFlowchartNodeConfigNodeDetails, optional)
- `nodeType` (enum, optional) — The type associated with the node config
  - Allowed values: `ROOT`, `OUTPUT`, `TASK`, `ROUTER`, `END`

### FieldValue

For single link fields, use the id of the item you want to link (eg. "seq_jdf8BV24"). For multi-link fields, use an array of ids of the items you want to link (eg. ["seq_jdf8BV24"])

### EntryNotePart

Notes are the main building blocks of entries. Each note corresponds roughly to a paragraph.

- `type`: `app_canvas` (app_canvas)
  - `appId` (string, optional) — The API identifier for the Benchling App.
  - `canvasId` (string, optional) — The API identifier for this Analysis Chart.
  - `featureId` (string, optional) — The developer ID assigned to the feature of this App Canvas.
  - `indentation` (integer, optional, default: 0) — All notes have an indentation level - the default is 0 for no indent. For lists, indentation gives notes hierarchy - a bulleted list with children is modeled as one note part with indentation 1 followed by note parts with indentation 2, for example.
- `type`: `assay_run` (assay_run)
  - `assayRunId` (string, optional, nullable)
  - `assayRunSchemaId` (string, optional)
  - `indentation` (integer, optional, default: 0) — All notes have an indentation level - the default is 0 for no indent. For lists, indentation gives notes hierarchy - a bulleted list with children is modeled as one note part with indentation 1 followed by note parts with indentation 2, for example.
- `type`: `box_creation_table` (box_creation_table)
  - `apiId` (string, optional)
  - `boxSchemaId` (string, optional)
  - `columns` (list of StructuredTableColumnInfo, optional)
  - `indentation` (integer, optional, default: 0) — All notes have an indentation level - the default is 0 for no indent. For lists, indentation gives notes hierarchy - a bulleted list with children is modeled as one note part with indentation 1 followed by note parts with indentation 2, for example.
  - `name` (string, optional)
- `type`: `code` (code)
  - `indentation` (integer, optional, default: 0) — All notes have an indentation level - the default is 0 for no indent. For lists, indentation gives notes hierarchy - a bulleted list with children is modeled as one note part with indentation 1 followed by note parts with indentation 2, for example.
  - `links` (list of EntryLink, optional) — Array of links referenced in text via an @-mention, hyperlink, or the drag-n-dropped preview attached to the note.
  - `text` (string, optional) — The textual contents of the note.
- `type`: `external_file` (external_file)
  - `externalFileId` (string, optional) — The ID of the external file. Use the 'Get an external file' endpoint to retrieve metadata about it.
  - `indentation` (integer, optional, default: 0) — All notes have an indentation level - the default is 0 for no indent. For lists, indentation gives notes hierarchy - a bulleted list with children is modeled as one note part with indentation 1 followed by note parts with indentation 2, for example.
  - `links` (list of EntryLink, optional) — Array of links referenced in the caption via an @-mention, hyperlink, or the drag-n-dropped preview attached to the note.
  - `text` (string, optional) — The caption of the file attachment.
- `type`: `inventory_container_table` (inventory_container_table)
  - `apiId` (string, optional)
  - `columns` (list of StructuredTableColumnInfo, optional)
  - `destinationContainerSchemaId` (string, optional)
  - `indentation` (integer, optional, default: 0) — All notes have an indentation level - the default is 0 for no indent. For lists, indentation gives notes hierarchy - a bulleted list with children is modeled as one note part with indentation 1 followed by note parts with indentation 2, for example.
  - `mode` (enum, optional)
    - Allowed values: `create_and_fill`, `fill`, `update`
  - `name` (string, optional)
- `type`: `inventory_plate_table` (inventory_plate_table)
  - `apiId` (string, optional)
  - `columns` (list of StructuredTableColumnInfo, optional)
  - `destinationPlateSchemaId` (string, optional, nullable)
  - `destinationWellSchemaId` (string, optional)
  - `indentation` (integer, optional, default: 0) — All notes have an indentation level - the default is 0 for no indent. For lists, indentation gives notes hierarchy - a bulleted list with children is modeled as one note part with indentation 1 followed by note parts with indentation 2, for example.
  - `mode` (enum, optional)
    - Allowed values: `create_and_fill`, `fill`, `update`
  - `name` (string, optional)
- `type`: `list_bullet` (list_bullet)
  - `indentation` (integer, optional, default: 0) — All notes have an indentation level - the default is 0 for no indent. For lists, indentation gives notes hierarchy - a bulleted list with children is modeled as one note part with indentation 1 followed by note parts with indentation 2, for example.
  - `links` (list of EntryLink, optional) — Array of links referenced in text via an @-mention, hyperlink, or the drag-n-dropped preview attached to the note.
  - `text` (string, optional) — The textual contents of the note.
- `type`: `list_checkbox` (list_checkbox)
  - `checked` (boolean, optional) — Indicates whether the checkbox is checked or not.
  - `indentation` (integer, optional, default: 0) — All notes have an indentation level - the default is 0 for no indent. For lists, indentation gives notes hierarchy - a bulleted list with children is modeled as one note part with indentation 1 followed by note parts with indentation 2, for example.
  - `links` (list of EntryLink, optional) — Array of links referenced in text via an @-mention, hyperlink, or the drag-n-dropped preview attached to the note.
  - `text` (string, optional) — The textual contents of the note.
- `type`: `list_number` (list_number)
  - `indentation` (integer, optional, default: 0) — All notes have an indentation level - the default is 0 for no indent. For lists, indentation gives notes hierarchy - a bulleted list with children is modeled as one note part with indentation 1 followed by note parts with indentation 2, for example.
  - `links` (list of EntryLink, optional) — Array of links referenced in text via an @-mention, hyperlink, or the drag-n-dropped preview attached to the note.
  - `text` (string, optional) — The textual contents of the note.
- `type`: `lookup_table` (lookup_table)
  - `apiId` (string, optional)
  - `columns` (list of StructuredTableColumnInfo, optional)
  - `name` (string, optional)
- `type`: `mixture_prep_table` (mixture_prep_table)
  - `apiId` (string, optional)
  - `columns` (list of StructuredTableColumnInfo, optional)
  - `indentation` (integer, optional, default: 0) — All notes have an indentation level - the default is 0 for no indent. For lists, indentation gives notes hierarchy - a bulleted list with children is modeled as one note part with indentation 1 followed by note parts with indentation 2, for example.
  - `mixtureSchemaId` (string, optional)
  - `name` (string, optional)
- `type`: `note_linked_chart` (note_linked_chart)
  - `chart` (ChartNotePartChart, optional) — The full configuration for the chart to be displayed in-line in this note part.
  - `indentation` (integer, optional, default: 0) — All notes have an indentation level - the default is 0 for no indent. For lists, indentation gives notes hierarchy - a bulleted list with children is modeled as one note part with indentation 1 followed by note parts with indentation 2, for example.
- `type`: `plate_creation_table` (plate_creation_table)
  - `apiId` (string, optional)
  - `columns` (list of StructuredTableColumnInfo, optional)
  - `indentation` (integer, optional, default: 0) — All notes have an indentation level - the default is 0 for no indent. For lists, indentation gives notes hierarchy - a bulleted list with children is modeled as one note part with indentation 1 followed by note parts with indentation 2, for example.
  - `name` (string, optional)
  - `plateSchemaId` (string, optional)
- `type`: `registration_table` (registration_table)
  - `apiId` (string, optional)
  - `columns` (list of StructuredTableColumnInfo, optional)
  - `entitySchemaId` (string, optional)
  - `indentation` (integer, optional, default: 0) — All notes have an indentation level - the default is 0 for no indent. For lists, indentation gives notes hierarchy - a bulleted list with children is modeled as one note part with indentation 1 followed by note parts with indentation 2, for example.
  - `name` (string, optional)
- `type`: `results_table` (results_table)
  - `apiId` (string, optional)
  - `assayResultSchemaId` (string, optional)
  - `columns` (list of StructuredTableColumnInfo, optional)
  - `indentation` (integer, optional, default: 0) — All notes have an indentation level - the default is 0 for no indent. For lists, indentation gives notes hierarchy - a bulleted list with children is modeled as one note part with indentation 1 followed by note parts with indentation 2, for example.
  - `name` (string, optional)
- `type`: `table` (table)
  - `indentation` (integer, optional, default: 0) — All notes have an indentation level - the default is 0 for no indent. For lists, indentation gives notes hierarchy - a bulleted list with children is modeled as one note part with indentation 1 followed by note parts with indentation 2, for example.
  - `links` (list of EntryLink, optional) — Array of links referenced in the caption via an @-mention, hyperlink, or the drag-n-dropped preview attached to the note.
  - `table` (EntryTable, optional) — Actual tabular data with rows and columns of text on the note.
  - `text` (string, optional) — The caption of the table.
- `type`: `text` (text)
  - `indentation` (integer, optional, default: 0) — All notes have an indentation level - the default is 0 for no indent. For lists, indentation gives notes hierarchy - a bulleted list with children is modeled as one note part with indentation 1 followed by note parts with indentation 2, for example.
  - `links` (list of EntryLink, optional) — Array of links referenced in text via an @-mention, hyperlink, or the drag-n-dropped preview attached to the note.
  - `text` (string, optional) — The textual contents of the note.
- `type`: `text_box` (text_box)
  - `indentation` (integer, optional, default: 0) — All notes have an indentation level - the default is 0 for no indent. For lists, indentation gives notes hierarchy - a bulleted list with children is modeled as one note part with indentation 1 followed by note parts with indentation 2, for example.
  - `links` (list of EntryLink, optional) — Array of links referenced via an @-mention, hyperlink, or the drag-n-dropped preview attached to the note.
  - `name` (string, optional)
  - `text` (string, optional)

### ReviewChange

- `action` (enum, optional) — The action which was performed with this change
  - Allowed values: `SEND_FOR_REVIEW`, `ACCEPT`, `REJECT`, `COMMENT`, `RETRACT`
- `comment` (string, optional, nullable) — The comment which was left when the Review Change was submitted
- `createdAt` (datetime, optional) — DateTime the Review Change was created at
- `esigned` (boolean, optional) — Was the action verified through an e-signature compliant step
- `id` (string, optional)
- `reviewSnapshot` (ReviewSnapshot, optional, nullable) — Review Snapshot generated from this Review Change

### EntryReviewProcess

- `completionStatus` (enum, optional) — State of the Entry at the end of the Review Process
  - Allowed values: `APPROVED`, `COMPLETED`, `ACCEPTED`, `REVIEWED`, `WITNESSED`, `SELF_REVIEWED`
- `id` (string, optional) — ID of the Review Process
- `name` (string, optional) — Name of the Review Process
- `stages` (list of EntryReviewProcessStagesItems, optional) — Array of Stages for the Review Process
- `type` (enum, optional) — Type of the Review Process
  - Allowed values: `SELF_REVIEW`, `SEQUENTIAL`, `PARALLEL`

### LabAutomationBenchlingAppErrorsTopLevelErrorsItems

- `errorMessage` (string, optional)

### RequestUserAssignee

- `user` (UserSummary, optional)

### RequestTeamAssignee

- `team` (TeamSummary, optional)

### RequestSampleGroupSamples

### RequestSchemaFieldDefinitionsItems

### RequestSchemaOrganization

The organization that owns the schema.

- `handle` (string, optional)
- `id` (string, optional)
- `name` (string, optional)

### WorkflowFlowchartNodeConfigNodeDetails

- `nodeType`: `END` (END)
  - `id` (string, optional) — The ID of the workflow flowchart end node config details
  - `name` (string, optional) — The name of the end node
- `nodeType`: `OUTPUT` (OUTPUT)
  - `id` (string, optional) — The ID of the workflow output node config details
  - `outputSchema` (SchemaSummary, optional)
- `nodeType`: `ROOT` (ROOT)
  - `id` (string, optional) — The ID of the workflow root node config details
  - `rootTaskSchema` (WorkflowTaskSchemaSummary, optional)
- `nodeType`: `ROUTER` (ROUTER)
  - `id` (string, optional) — The ID of the workflow router node config details
  - `name` (string, optional) — The name of the router node
  - `routerFunctions` (list of WorkflowRouterFunction, optional) — Router functions associated with this router node
- `nodeType`: `TASK` (TASK)
  - `id` (string, optional) — The ID of the workflow task node config details
  - `taskSchema` (WorkflowTaskSchemaSummary, optional)

### StructuredTableColumnInfo

- `columnId` (string, optional)
- `isReadOnly` (boolean, optional)
- `name` (string, optional)

### EntryLink

Links are contained within notes to reference resources that live outside of the entry. A link can target an external resource via an http(s):// hyperlink or a Benchling resource via @-mentions and drag-n-drop.

- `id` (string, optional) — For linked Benchling resources, this will be the ID of that resource (e.g., 'seq_RhYGVnHF'). Omitted for "link" types.
- `type` (enum, optional) — The type of resource being linked. For hyperlinks: 'link'. For linked Benchling resources, one of: 'user', 'request', 'entry', 'stage_entry', 'protocol', 'workflow', 'custom_entity', 'aa_sequence', 'dna_sequence', 'batch', 'box', 'container', 'location', 'plate', 'sql_dashboard'; and (for legacy support) 'insights_dashboard', 'folder'.
  - Allowed values: `link`, `user`, `request`, `entry`, `stage_entry`, `protocol`, `workflow`, `custom_entity`, `aa_sequence`, `dna_sequence`, `batch`, `box`, `container`, `location`, `plate`, `insights_dashboard`, `folder`, `sql_dashboard`
- `webURL` (string, optional, nullable) — Canonical URL of the linked Benchling resource (if you have at least READ authorization for that resource), or the explicit URL provided as hyperlink for "link" types. Note: locations do not currently have a URL.

### ChartNotePartChart

The full configuration for the chart to be displayed in-line in this note part.

- `id` (string, optional) — The API identifier for this Analysis Chart.

### EntryTable

Actual tabular data with rows and columns of text on the note.

- `columnLabels` (list of string, optional) — Array of strings, with one item per column. Defaults to null, if the user is using the default, but is set if the user has given a custom name to the column.
- `name` (string, optional) — Name of the table - defaults to e.g. Table1 but can be renamed.
- `rows` (list of EntryTableRow, optional) — Array of row objects.

### ReviewSnapshot

- `createdAt` (datetime, optional) — DateTime the Review Snapshot was created at
- `downloadURL` (string, optional) — A short-lived URL that can be used to download the original file.
- `expiresAt` (datetime, optional) — DateTime the downloadURL expires.
- `size` (integer, optional) — Size, in bytes, of the snapshot file
- `status` (enum, optional) — the current status of the Snapshot process
  - Allowed values: `PENDING`, `RUNNING`, `SUCCEEDED`, `FAILED`

### EntryReviewProcessStagesItems

- `actionLabel` (enum, optional) — Action reviewer is doing during the review
  - Allowed values: `APPROVE`, `COMPLETE`, `ACCEPT`, `REVIEW`, `WITNESS`, `SELF_REVIEW`
- `id` (string, optional) — ID of the Review Stage
- `name` (string, optional) — Name of the Review Stage
- `reviewers` (list of EntryReviewProcessStagesItemsReviewersItems, optional) — Reviewers for the Review Stage

### RequestSampleWithEntity

- `entityId` (string, required)
- `containerId` (string, optional)

### RequestSampleWithBatch

- `batchId` (string, required)
- `containerId` (string, optional)

### SimpleFieldDefinition

- `archiveRecord` (ArchiveRecord, optional, nullable)
- `id` (string, optional)
- `isMulti` (boolean, optional)
- `isRequired` (boolean, optional)
- `name` (string, optional)
- `type` (enum, optional)
  - Allowed values: `dna_sequence_link`, `aa_sequence_link`, `custom_entity_link`, `entity_link`, `mixture_link`, `molecule_link`, `dropdown`, `part_link`, `translation_link`, `aa_part_link`, `base_molecule_link`, `blob_link`, `text`, `long_text`, `batch_link`, `storage_link`, `entry_link`, `assay_request_link`, `assay_result_link`, `assay_run_link`, `boolean`, `float`, `integer`, `datetime`, `date`, `json`

### IntegerFieldDefinition

- `archiveRecord` (ArchiveRecord, optional, nullable)
- `id` (string, optional)
- `isMulti` (boolean, optional)
- `isRequired` (boolean, optional)
- `name` (string, optional)
- `type` (enum, optional)
  - Allowed values: `dna_sequence_link`, `aa_sequence_link`, `custom_entity_link`, `entity_link`, `mixture_link`, `molecule_link`, `dropdown`, `part_link`, `translation_link`, `aa_part_link`, `base_molecule_link`, `blob_link`, `text`, `long_text`, `batch_link`, `storage_link`, `entry_link`, `assay_request_link`, `assay_result_link`, `assay_run_link`, `boolean`, `float`, `integer`, `datetime`, `date`, `json`
- `numericMax` (double, optional, nullable)
- `numericMin` (double, optional, nullable)
- `unit` (UnitSummary, optional, nullable)

### FloatFieldDefinition

- `archiveRecord` (ArchiveRecord, optional, nullable)
- `id` (string, optional)
- `isMulti` (boolean, optional)
- `isRequired` (boolean, optional)
- `name` (string, optional)
- `type` (enum, optional)
  - Allowed values: `dna_sequence_link`, `aa_sequence_link`, `custom_entity_link`, `entity_link`, `mixture_link`, `molecule_link`, `dropdown`, `part_link`, `translation_link`, `aa_part_link`, `base_molecule_link`, `blob_link`, `text`, `long_text`, `batch_link`, `storage_link`, `entry_link`, `assay_request_link`, `assay_result_link`, `assay_run_link`, `boolean`, `float`, `integer`, `datetime`, `date`, `json`
- `decimalPrecision` (double, optional, nullable)
- `legalTextDropdownId` (string, optional, nullable)
- `numericMax` (double, optional, nullable)
- `numericMin` (double, optional, nullable)
- `unit` (UnitSummary, optional, nullable)

### DropdownFieldDefinition

- `archiveRecord` (ArchiveRecord, optional, nullable)
- `id` (string, optional)
- `isMulti` (boolean, optional)
- `isRequired` (boolean, optional)
- `name` (string, optional)
- `type` (enum, optional)
  - Allowed values: `dna_sequence_link`, `aa_sequence_link`, `custom_entity_link`, `entity_link`, `mixture_link`, `molecule_link`, `dropdown`, `part_link`, `translation_link`, `aa_part_link`, `base_molecule_link`, `blob_link`, `text`, `long_text`, `batch_link`, `storage_link`, `entry_link`, `assay_request_link`, `assay_result_link`, `assay_run_link`, `boolean`, `float`, `integer`, `datetime`, `date`, `json`
- `dropdownId` (string, optional, nullable)

### SchemaLinkFieldDefinition

- `archiveRecord` (ArchiveRecord, optional, nullable)
- `id` (string, optional)
- `isMulti` (boolean, optional)
- `isRequired` (boolean, optional)
- `name` (string, optional)
- `type` (enum, optional)
  - Allowed values: `dna_sequence_link`, `aa_sequence_link`, `custom_entity_link`, `entity_link`, `mixture_link`, `molecule_link`, `dropdown`, `part_link`, `translation_link`, `aa_part_link`, `base_molecule_link`, `blob_link`, `text`, `long_text`, `batch_link`, `storage_link`, `entry_link`, `assay_request_link`, `assay_result_link`, `assay_run_link`, `boolean`, `float`, `integer`, `datetime`, `date`, `json`
- `schemaId` (string, optional, nullable)

### WorkflowRouterFunction

- `edgeConfigId` (string, optional) — The ID of the workflow flowchart edge config associated with this function
- `id` (string, optional) — The function associated with a router node
- `isDefault` (any, optional)
- `name` (string, optional) — The name of a function associated with a router node

### EntryTableRow

Each has property 'cells' that is an array of cell objects

- `cells` (list of EntryTableCell, optional)

### EntryReviewProcessStagesItemsReviewersItems

- `handle` (string, optional)
- `id` (string, optional)
- `name` (string, optional)
- `status` (enum, optional) — Status of the Reviewer
  - Allowed values: `BLOCKED`, `PENDING`, `FINISHED`, `REJECTED`

### UnitSummary

- `id` (string, optional)
- `name` (string, optional)
- `symbol` (string, optional)
- `unitTypeId` (string, optional)

### EntryTableCell

- `link` (EntryLink, optional) — A Link Resource if this cell contained a hyperlink. Otherwise, link will be omitted from the cell object. (Note: inventory and user types are not yet supported.)
- `text` (string, optional) — The textual content of the cell. If the cell was originally a formula, this will be the evaluated version of the formula.

## Examples

**Response**

```json
{
  "events": [
    {
      "eventType": "v2.entity.registered",
      "createdAt": "2024-01-15T09:30:00Z",
      "deprecated": false,
      "deprecationDate": "2024-01-15T09:30:00Z",
      "entity": {
        "aliases": [
          "string"
        ],
        "apiURL": "string",
        "archiveRecord": {
          "reason": "Made in error"
        },
        "authors": [
          {
            "handle": "string",
            "id": "string",
            "name": "string"
          }
        ],
        "createdAt": "2024-01-15T09:30:00Z",
        "creator": {
          "handle": "string",
          "id": "string",
          "name": "string"
        },
        "customFields": {
          "Legacy ID": {
            "value": "STR100"
          }
        },
        "entityRegistryId": "string",
        "fields": {},
        "folderId": "string",
        "id": "string",
        "modifiedAt": "2024-01-15T09:30:00Z",
        "name": "string",
        "registrationOrigin": {
          "originEntryId": "string",
          "registeredAt": "2024-01-15T09:30:00Z"
        },
        "registryId": "string",
        "schema": {
          "id": "string",
          "name": "string"
        },
        "webURL": "string"
      },
      "excludedProperties": [
        "string"
      ],
      "id": "string",
      "schema": {
        "id": "string",
        "name": "string"
      }
    }
  ],
  "nextToken": "string"
}
```

**SDK Code**

```python
import requests

url = "https://{tenant_name}.benchling.com/api/v2/events"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://{tenant_name}.benchling.com/api/v2/events';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```